//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2004,2008 Oracle.  All rights reserved.
//
//   $Id: MemBufInputStream.hpp,v 1.12 2008/03/26 19:35:19 gmf Exp $
//

#ifndef __MEMBUFINPUTSTREAM_HPP
#define	__MEMBUFINPUTSTREAM_HPP

#include "BaseInputStream.hpp"
#include <string>

namespace DbXml
{

class Document;

/**
 * Concrete implementation of a memory buffer streaming interface.
 */
class MemBufInputStream : public BaseInputStream
{
public:

	MemBufInputStream(const char *srcDocBytes,
			  const unsigned int byteCount,
			  const char *const bufId,
			  bool adoptBuffer = false);

	virtual ~MemBufInputStream();
};

}

#endif
