//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2004,2008 Oracle.  All rights reserved.
//
// $Id: MemBufInputStream.cpp,v 1.14 2008/03/26 19:35:19 gmf Exp $
//

#include "DbXmlInternal.hpp"
#include "MemBufInputStream.hpp"
#include "Document.hpp"
#include <xercesc/framework/MemBufInputSource.hpp>

using namespace DbXml;
XERCES_CPP_NAMESPACE_USE

MemBufInputStream::MemBufInputStream(const char * srcDocBytes,
                                     const unsigned int	byteCount,
                                     const char *const bufId,
                                     bool adoptBuffer)
	: BaseInputStream(0)
{
	InputSource *is = new MemBufInputSource(
		(XMLByte*)srcDocBytes,
		byteCount, bufId, adoptBuffer);
	setStream(is);
}

MemBufInputStream::~MemBufInputStream()
{
}

